com.hazelcast.client.connection.nio

## Class DefaultCredentialsFactory

- java.lang.Object
- - com.hazelcast.client.connection.nio.DefaultCredentialsFactory

- All Implemented Interfaces:
    ICredentialsFactory

      public class DefaultCredentialsFactory
      extends Object
      implements ICredentialsFactory

  This is the factory that uses Credentials instance giving by either class name or implementation instead of factory given bey user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCredentialsFactory(ClientSecurityConfig securityConfig, GroupConfig groupConfig, ClassLoader classLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(GroupConfig groupConfig, Properties properties)` Configures `ICredentialsFactory`.
    `void` | `destroy()` Destroys `ICredentialsFactory`.
    `Credentials` | `newCredentials()` Creates new `Credentials` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCredentialsFactory

          public DefaultCredentialsFactory(ClientSecurityConfig securityConfig,
                                           GroupConfig groupConfig,
                                           ClassLoader classLoader)

  - ### Method Detail

    - #### configure

          public void configure(GroupConfig groupConfig,
                                Properties properties)

      Description copied from interface: `ICredentialsFactory`
      Configures `ICredentialsFactory`.
      Specified by:
        `configure` in interface `ICredentialsFactory`
      Parameters:
        `groupConfig` - Hazelcast `GroupConfig`
        `properties` - properties that will be used to pass custom configurations by user

    - #### newCredentials

          public Credentials newCredentials()

      Description copied from interface: `ICredentialsFactory`
      Creates new `Credentials` object.
      Specified by:
        `newCredentials` in interface `ICredentialsFactory`
      Returns:
        the new Credentials object

    - #### destroy

          public void destroy()

      Description copied from interface: `ICredentialsFactory`
      Destroys `ICredentialsFactory`.
      Specified by:
        `destroy` in interface `ICredentialsFactory`

Copyright © 2020. All rights reserved.